Bug 1413166 - [abrt] nautilus: gdk_window_is_visible(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: gdk_window_is_visible(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:196b4a26fe8fed2df956f2eba4d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 19:23 UTC by Milan Bouchet-Valat
Modified: 2017-12-12 10:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:05:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.80 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: core_backtrace (2.92 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: dso_list (14.68 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: environ (1.80 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: exploitable (112 bytes, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: maps (74.61 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: mountinfo (4.00 KB, text/plain)
2017-01-13 19:23 UTC, Milan Bouchet-Valat
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-13 19:24 UTC, Milan Bouchet-Valat
no flags Details
File: open_fds (6.07 KB, text/plain)
2017-01-13 19:24 UTC, Milan Bouchet-Valat
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-13 19:24 UTC, Milan Bouchet-Valat
no flags Details
File: var_log_messages (407 bytes, text/plain)
2017-01-13 19:24 UTC, Milan Bouchet-Valat
no flags Details

Description Milan Bouchet-Valat 2017-01-13 19:23:40 UTC
Version-Release number of selected component:
nautilus-3.22.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: gdk_window_is_visible
executable:     /usr/bin/nautilus
global_pid:     1098
kernel:         4.8.11-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 gdk_window_is_visible at gdkwindow.c:2738
 #1 indicator_set_fade at gtkscrolledwindow.c:4207
 #2 maybe_hide_indicator at gtkscrolledwindow.c:4297
 #7 g_main_context_iteration at gmain.c:3990
 #8 g_application_run at gapplication.c:2381

Comment 1 Milan Bouchet-Valat 2017-01-13 19:23:45 UTC
Created attachment 1240463 [details]
File: backtrace

Comment 2 Milan Bouchet-Valat 2017-01-13 19:23:46 UTC
Created attachment 1240464 [details]
File: cgroup

Comment 3 Milan Bouchet-Valat 2017-01-13 19:23:48 UTC
Created attachment 1240465 [details]
File: core_backtrace

Comment 4 Milan Bouchet-Valat 2017-01-13 19:23:50 UTC
Created attachment 1240466 [details]
File: dso_list

Comment 5 Milan Bouchet-Valat 2017-01-13 19:23:51 UTC
Created attachment 1240467 [details]
File: environ

Comment 6 Milan Bouchet-Valat 2017-01-13 19:23:52 UTC
Created attachment 1240468 [details]
File: exploitable

Comment 7 Milan Bouchet-Valat 2017-01-13 19:23:54 UTC
Created attachment 1240469 [details]
File: limits

Comment 8 Milan Bouchet-Valat 2017-01-13 19:23:57 UTC
Created attachment 1240470 [details]
File: maps

Comment 9 Milan Bouchet-Valat 2017-01-13 19:23:59 UTC
Created attachment 1240471 [details]
File: mountinfo

Comment 10 Milan Bouchet-Valat 2017-01-13 19:24:00 UTC
Created attachment 1240472 [details]
File: namespaces

Comment 11 Milan Bouchet-Valat 2017-01-13 19:24:02 UTC
Created attachment 1240473 [details]
File: open_fds

Comment 12 Milan Bouchet-Valat 2017-01-13 19:24:03 UTC
Created attachment 1240474 [details]
File: proc_pid_status

Comment 13 Milan Bouchet-Valat 2017-01-13 19:24:04 UTC
Created attachment 1240475 [details]
File: var_log_messages

Comment 14 Milan Bouchet-Valat 2017-01-13 19:25:33 UTC
Sounds like a race condition. I think this happened when opening a new window or tab, but I'm not sure.

Comment 15 Fedora End Of Life 2017-11-16 15:01:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:05:24 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.